#!/usr/local/bin/perl5 -w

# This script is a temporary hack to transform the PO summary data so I can examine it in differnt ways

use File::Basename;

$usage = "Usage: $0 <infile> <outfile>";

$scriptdir = dirname($0);

$infn = shift @ARGV;
$outfn = shift @ARGV;
(defined $infn && defined $outfn) || die $usage;

open (INFH, "<$infn") || die "Could not open infile '$infn': $!";
open (OUTFH, ">$outfn") || die "Could not open outfile '$outfn': $!";

print OUTFH "# The file was processed with transform_posumm.pl\n";

close OUTFH;

# Big hack: setting the number of states
open (COMBPROC, "|$scriptdir/combine_posumm.pl 256 >> $outfn") || die "Could not open combine process: $!";

while (<INFH>) {
  if (/^\s*\#/ || /^\s*$/) {
    print COMBPROC;
    next;
  }

  chomp;

  ($state, $cnt) = split /\s*:\s*/;
  # close mine
  #$newstate = ($state & 0x000F);
  # far  mine
  #$newstate = ($state & 0x00F0) >> 4;
  # close theirs
  #$newstate = ($state & 0x0F00) >> 8;
  # far theirs
  #$newstate = ($state & 0xF000) >> 12;
  # all the close bits
  $newstate = (($state & 0x0F00) >> 4) + ($state & 0x000F);
  #     reverseed
  #$newstate = (($state & 0x0F00) >> 8) + (($state & 0x000F) << 4);
  # all the far bits
  #$newstate = (($state & 0xF000) >> 8) + (($state & 0x00F0) >> 4);
  print COMBPROC "$newstate: $cnt\n";
}
